summaryrefslogtreecommitdiff
path: root/bump-tag
diff options
context:
space:
mode:
authorLeif Johansson <leifj@sunet.se>2013-10-31 21:50:04 +0100
committerLeif Johansson <leifj@sunet.se>2013-10-31 21:50:04 +0100
commitb105c02ebac320e812c861a6cb7a0e1d1788637e (patch)
tree35cebc039001be7fc0f51e7bf8776b24adfd4e4a /bump-tag
parent342da1eccaa337d5e1dfd2c7b58f409937e330c6 (diff)
bump-tag
Diffstat (limited to 'bump-tag')
-rwxr-xr-xbump-tag38
1 files changed, 38 insertions, 0 deletions
diff --git a/bump-tag b/bump-tag
new file mode 100755
index 0000000..5d91b82
--- /dev/null
+++ b/bump-tag
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+set -e
+
+test -f cosmos.conf && . ./cosmos.conf
+
+deftag=`basename $PWD`
+tagpfx=${tag:="$deftag"}
+
+last_tag=`git tag -l "${tagpfx}-*"|sort|tail -1`
+
+git tag -v $last_tag
+
+PAGER=cat git diff $last_tag..master
+
+iter=1
+ok=
+while test -z "$ok"; do
+ this_tag=$(date +${tagpfx}-%Y-%m-%d-v`printf "%02d" $iter`)
+ iter=`expr $iter + 1`
+ case `(echo $this_tag; echo $last_tag) | sort | tail -1` in
+ $last_tag)
+ ;;
+ $this_tag)
+ ok=yes
+ ;;
+ esac
+done
+
+echo using new tag $this_tag
+echo ONLY SIGN IF YOU APPROVE OF VERIFICATION AND DIFF ABOVE
+
+# GITTAGEXTRA is for putting things like "-u 2117364A"
+
+git tag $GITTAGEXTRA -m bump. -s $this_tag
+
+git push
+git push --tags